import styled from "@emotion/styled";
import { css } from "@emotion/react";
export const base = /*#__PURE__*/ css("position:relative;display:flex;align-items:center;justify-content:center;cursor:pointer;box-sizing:border-box;", "base");
export const DropzoneHandlerOverlay = /*#__PURE__*/ styled("div", {
    target: "e9oourv0",
    label: "DropzoneHandlerOverlay"
})("position:absolute;inset:0;z-index:2;");
export const Content = /*#__PURE__*/ styled("div", {
    target: "e9oourv1",
    label: "Content"
})("width:100%;height:100%;display:flex;align-items:center;justify-content:center;");
export const IconWrapper = /*#__PURE__*/ styled("div", {
    target: "e9oourv2",
    label: "IconWrapper"
})("display:flex;justify-content:center;user-select:none;");
export const StyledIcon = /*#__PURE__*/ styled("div", {
    target: "e9oourv3",
    label: "StyledIcon"
})();
export const ContentWrapper = /*#__PURE__*/ styled("div", {
    target: "e9oourv4",
    label: "ContentWrapper"
})("position:relative;");
export const Title = /*#__PURE__*/ styled("div", {
    target: "e9oourv5",
    label: "Title"
})();
export const TitleHelper = /*#__PURE__*/ styled("div", {
    target: "e9oourv6",
    label: "TitleHelper"
})("visibility:hidden;position:absolute;z-index:-9999;opacity:0;");
export const Description = /*#__PURE__*/ styled("span", {
    target: "e9oourv7",
    label: "Description"
})("display:block;");
export const DescriptionHelper = /*#__PURE__*/ styled("span", {
    target: "e9oourv8",
    label: "DescriptionHelper"
})("visibility:hidden;position:absolute;z-index:-9999;opacity:0;");
export const HiddenInput = /*#__PURE__*/ styled("input", {
    target: "e9oourv9",
    label: "HiddenInput"
})("display:none;");
